RoleValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.shared.RoleValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.shared
Class RoleValue

    java.lang.Object
      org.hyperic.hq.authz.shared.RoleValue

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OwnedRoleValue

    public class RoleValue

extends java.lang.Object
implements java.io.Serializable

Value object for Role.

See Also:
  Serialized Form

Field Summary
`protected java.util.Set` | `addedOperationValues`
`protected java.util.Set` | `removedOperationValues`
`protected java.util.Set` | `updatedOperationValues`

Constructor Summary
`RoleValue()`
`RoleValue(RoleValue otherValue)`
`RoleValue(java.lang.String sortName, boolean system, java.lang.String description, java.lang.String name, java.lang.Integer id)`

Method Summary
`void` | `addOperationValue(Operation added)`
`void` | `cleanOperationValue()`
`void` | `copyOperationValuesFrom(RoleValue from)`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`java.util.Set` | `getAddedOperationValues()`
`java.lang.String` | `getDescription()`
`java.lang.Integer` | `getId()`
`java.lang.String` | `getName()`
`Operation[]` | `getOperationValues()`
`java.util.Set` | `getRemovedOperationValues()`
`java.lang.String` | `getSortName()`
`boolean` | `getSystem()`
`java.util.Set` | `getUpdatedOperationValues()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `nameHasBeenSet()`
`void` | `removeAllOperationValues()`
`void` | `removeOperationValue(Operation removed)`
`void` | `setDescription(java.lang.String description)`
`void` | `setId(java.lang.Integer id)`
`void` | `setName(java.lang.String name)`
`void` | `setSortName(java.lang.String sortName)`
`void` | `setSystem(boolean system)`
`boolean` | `sortNameHasBeenSet()`
`boolean` | `systemHasBeenSet()`
`java.lang.String` | `toString()`
`void` | `updateOperationValue(Operation updated)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### addedOperationValues

    protected java.util.Set addedOperationValues

### removedOperationValues

    protected java.util.Set removedOperationValues

### updatedOperationValues

    protected java.util.Set updatedOperationValues

Constructor Detail

### RoleValue

    public RoleValue()

### RoleValue

    public RoleValue(java.lang.String sortName,
                     boolean system,
                     java.lang.String description,
                     java.lang.String name,
                     java.lang.Integer id)

### RoleValue

    public RoleValue(RoleValue otherValue)

Method Detail

### getSortName

    public java.lang.String getSortName()

### setSortName

    public void setSortName(java.lang.String sortName)

### sortNameHasBeenSet

    public boolean sortNameHasBeenSet()

### getSystem

    public boolean getSystem()

### setSystem

    public void setSystem(boolean system)

### systemHasBeenSet

    public boolean systemHasBeenSet()

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### getAddedOperationValues

    public java.util.Set getAddedOperationValues()

### getRemovedOperationValues

    public java.util.Set getRemovedOperationValues()

### getUpdatedOperationValues

    public java.util.Set getUpdatedOperationValues()

### getOperationValues

    public Operation[] getOperationValues()

### addOperationValue

    public void addOperationValue(Operation added)

### removeOperationValue

    public void removeOperationValue(Operation removed)

### removeAllOperationValues

    public void removeAllOperationValues()

### updateOperationValue

    public void updateOperationValue(Operation updated)

### cleanOperationValue

    public void cleanOperationValue()

### copyOperationValuesFrom

    public void copyOperationValuesFrom(RoleValue from)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.